Bug 846587

Summary: tigervnc does not honour the backingstore option
Product: [Fedora] Fedora Reporter: Alfredo Ferrari <alfredo.ferrari>
Component: tigervncAssignee: Adam Tkac <atkac>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 17CC: atkac, bphinz, ovasik
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: tigervnc-server-1.2.80-0.9.20130307svn5060.fc18 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 750719 Environment:
Last Closed: 2013-03-14 14:29:31 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Alfredo Ferrari 2012-08-08 03:56:15 EDT
+++ This bug was initially created as a clone of Bug #750719 +++

Description of problem:
Since fedora 13 tigervnc does no longer honour the backingstore option
(+bs in /etc/sysconfig/vncservers)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.start a tigervnc server with the +bs option
2.connect with vncviewer to the server and launch an application which requires backing store (eg paw from the Cern libraries)
3.send the application window backward and then on top again
Actual results:
the window is not redrawn

Expected results:
the window should be redrawn

Additional info:
The backingstore bug appeared sometimes around Fedora 13. tigervnc 1.0.1 compiled from the tarball on Scientific Linux 5.7 machine has still backingstore functioning properly, even then viewed with vncviewer from a Fedora 15 machine

--- Additional comment from atkac@redhat.com on 2011-11-10 09:29:59 EST ---

This is actually more tricky than it seems. "General" backing store was removed from X.Org some time ago (Xvnc depends on X.Org sources). Currently backing store is implemented as part of the Composite extension but Xvnc has Composite disabled due to various screen corruptions in the past. I will check if Composite is still broken.

--- Additional comment from endoflife@fedoraproject.org on 2012-08-07 15:45:58 EDT ---

This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
Comment 1 Adam Tkac 2013-03-14 14:29:31 EDT
This issue is already fixed in tigervnc-server-1.2.80-0.9.20130307svn5060.fc18. I'm not going to enable Composite extension in Fedora 17 so please upgrade to F18.